name: kara.moe
description: 'The greatest karaoke database ever'
homeURL: https://kara.moe,
contentsURL: https://kara.moe/downloads/master.zip
gitURL: https://gitlab.com/karaokemugen/bases/karaokebase/
docsURL: https://gitlab.com/karaokemugen/bases/karaokebase/-/wikis/home
licenseURL: https://gitlab.com/karaokemugen/bases/karaokebase/-/blob/master/LICENSE.md?ref_type=heads
license: ODbL / CC-BY-SA 4.0
projectID: 32123952
rules:
  karaFile:
      maxParents: 2
      maxParentDepth: 1
      forbiddenParentTags:
        - c0cc87b9-55b9-40f0-878a-fbb9e34c151e
      requireLatinTitle: true
      requireLatinTitleAsDefault: true
  videoFile:
    containers:
      mandatory: true
      allowed:
        - mp4
        - mkv
        - webm
      default: mp4
    resolution:
      min:
        height: 720
        width: 960
        mandatory: false
      max:
        height: 1080
        width: 1920
        mandatory: true
    codecs:
      video:
        mandatory: false
        allowed:
          - h264
          - hevc
          - vp9
          - av1
        default: hevc
      audio:
        mandatory: true
        allowed:
          - aac
          - vorbis
          - opus
          - mp3
        default: opus
    bitrate:
      max: 8000
    colorSpace:
      allowed:
        - yuv420p
      default: yuv420p
      mandatory: false
  audioFile:
    containers:
      mandatory: true
      allowed:
        - mp3
        - aac
        - m4a
        - ogg
        - opus
      default: mp3
    codecs:
      allowed:
        - aac
        - vorbis
        - opus
        - mp3
      default: mp3
      mandatory: true
      bitrate:
        min: 128
        max: 512
        mandatory: true
    coverArt:
      mandatory: true
  lyrics:
    formats:
      - kfn
      - txt
      - kar
      - kbp
      - ass
    cleanup:
      removeGarbage: true
      removeHeaderComments: true
      removeUnusedStyles: true
      removeUnusedFonts: false
      setTitle: true
      setOriginalTiming: true
      set0x0Resolution: false
